RK-A2 - Feature #3657

Feature # 3648 (New): FE: get questions according to user's style preferences using get_questions api

FE: Decide next question to ask and its style
07/10/2024 01:59 PM - Ram Kordale

Status: Closed Start date: 07/10/2024
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 0.00 hour
Description

Track the last style used S, the last question number asked Q and the list of questions L in browser storage.

If L is not in browser storage, call gcf get_questions_list(1) (ticket 3656) and store L.

Pick question/exercise number after Q in L.

Styles that user selects as per ticket 3638 are user preferred styles. Decide on the style for the next 5 questions in round-robin order.

At this point, we should have the next question number to be asked Q' and the next style to be used S'.

History

#1 - 07/10/2024 02:02 PM - Dewakar Chaubey

- Status changed from New to In Progress

#2 - 07/10/2024 02:23 PM - Ram Kordale

- Subject changed from Decide next question to ask and its style to FE: Decide next question to ask and its style

#3 - 07/10/2024 03:56 PM - Ram Kordale

- Description updated

#4 - 07/12/2024 04:03 PM - Dewakar Chaubey
- Status changed from In Progress to Resolved

- % Done changed from 0 to 90

#5 - 07/12/2024 04:04 PM - Dewakar Chaubey

- Status changed from Resolved to In Progress

#6 - 07/13/2024 01:11 PM - Dewakar Chaubey
- Status changed from In Progress to Resolved
- Assignee changed from Dewakar Chaubey to Shubham Boke

- % Done changed from 90 to 100

#7 - 07/13/2024 01:11 PM - Dewakar Chaubey

- Status changed from Resolved to Review

#8 - 07/18/2024 09:07 AM - Shubham Boke
- Status changed from Review to Feedback

- Assignee changed from Shubham Boke to Dewakar Chaubey

#9 - 09/23/2024 07:43 AM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ram Kordale

#10 - 09/25/2024 07:13 AM - Ram Kordale
- Status changed from Feedback to Closed
